User Service
Update User Setting
UpdateUserSetting updates the user setting.
Path Parameters
user*string
The user id.
setting*string
The setting id.
Query Parameters
updateMask?string
Required. The list of fields to update.
Format
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/users/string/settings/string" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "string",
"generalSetting": {
"locale": "string",
"memoVisibility": "string",
"theme": "string"
},
"webhooksSetting": {
"webhooks": [
{
"name": "string",
"url": "string",
"displayName": "string",
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z"
}
]
}
}{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}